#!/bin/python

"""
ToolSystranTranslate.py

David Janes
BlogMatrix
2004.03.28
"""

import sys
import urllib
import Tool

class ToolSystranTranslate(Tool.ToolInterface):
	"""
	The interface for your tool. Simply create an instance of this object and Jaeger
	will figure it out.
	"""
	def __init__(self, from_language_name, from_language_code, to_language_name, to_language_code):
		Tool.ToolInterface.__init__(self)
		
		self.from_language_name = from_language_name
		self.from_language_code = from_language_code
		self.to_language_name = to_language_name
		self.to_language_code = to_language_code
		
	def get_group(self):
		return	"Translate (Systran)"
		
	def get_label(self, selected):
		return	"%s to %s" % ( self.from_language_name, self.to_language_name )
		
	def invoke(self, selected, operations):
		operations.open_url("http://www.systranbox.com/systran/box?systran_lp=%s_%s&systran_id=SystranSoft-en&ttype=url&systran_charset==utf-8&systran_url=%s" % \
			( self.from_language_code, self.to_language_code, urllib.quote(selected.url) ))

#
# creating it will register it
#
ToolSystranTranslate("German", "de", "English", "en")
ToolSystranTranslate("German", "de", "French", "fr")
ToolSystranTranslate("English", "en", "German", "de")
ToolSystranTranslate("English", "en", "Spanish", "es")
ToolSystranTranslate("English", "en", "French", "fr")
ToolSystranTranslate("English", "en", "French", "fr")
ToolSystranTranslate("English", "en", "Italian", "it")
ToolSystranTranslate("English", "en", "Japanese", "ja")
ToolSystranTranslate("English", "en", "Korean", "ko")
ToolSystranTranslate("English", "en", "Dutch", "nl")
ToolSystranTranslate("English", "en", "Portuguese", "pt")
ToolSystranTranslate("English", "en", "Russian", "ru")
ToolSystranTranslate("English", "en", "Chinese (Simplified)", "zh")
ToolSystranTranslate("English", "en", "Chinese (Traditional)", "zt")
ToolSystranTranslate("Spanish", "es", "English", "en")
ToolSystranTranslate("Spanish", "es", "French", "fr")
ToolSystranTranslate("French", "fr", "German", "de")
ToolSystranTranslate("French", "fr", "English", "en")
ToolSystranTranslate("French", "fr", "English", "en")
ToolSystranTranslate("French", "fr", "Spanish", "es")
ToolSystranTranslate("French", "fr", "Italian", "it")
ToolSystranTranslate("French", "fr", "Dutch", "nl")
ToolSystranTranslate("French", "fr", "Portuguese", "pt")
ToolSystranTranslate("Italian", "it", "English", "en")
ToolSystranTranslate("Italian", "it", "French", "fr")
ToolSystranTranslate("Japanese", "ja", "English", "en")
ToolSystranTranslate("Korean", "ko", "English", "en")
ToolSystranTranslate("Dutch", "nl", "English", "en")
ToolSystranTranslate("Dutch", "nl", "French", "fr")
ToolSystranTranslate("Portuguese", "pt", "English", "en")
ToolSystranTranslate("Portuguese", "pt", "French", "fr")
ToolSystranTranslate("Russian", "ru", "English", "en")
ToolSystranTranslate("Chinese (Simplified)", "zh", "English", "en")
ToolSystranTranslate("Chinese (Traditional)", "zt", "English", "en")
